# The LGPL lib3ds library is used to load and display a 3ds scene

# You need to install the lib3ds library in order to compile this file.
# See <a href="http://lib3ds.sourceforge.net/">http://lib3ds.sourceforge.net/</a>.

# The current version (Dec 2002) is flawed and a patched version is available on the <a
# href="../rpm.html">libQGLViewer rpm page</a>.

# Once this is done, edit 3dsViewer.pro and set INCLUDEPATH and LIBS to the
# path where you installed lib3ds.

# Simply press '<b>L</b>' (load) to load a new 3DS scene. 

TEMPLATE = app
TARGET   = 3dsViewer
CONFIG  += qt opengl warn_on release thread

# Comment this line and set INCLUDEPATH and LIBS below
LIB3DS_INSTALLED = no

!contains( LIB3DS_INSTALLED, no ) {
   linux-g++: LIBS *= -l3ds

   # Set these path according to your configuration
   # INCLUDEPATH *= /Path/To/3DS/HeaderFiles
   # unix: LIBS  *= -L/Path/To/3DS/library -l3ds
   # win32:LIBS  *= C:\code\lib\lib3ds.lib

   HEADERS  = 3dsViewer.h
   SOURCES  = 3dsViewer.cpp main.cpp
}

contains( LIB3DS_INSTALLED, no ) { 
   message( 3dsViewer requires the lib3ds library )
   message( Read 3dsViewer.pro for details )
   QMAKE_LINK = echo
}

# Try to automatically set INCLUDEPATH and LIBS

# Test the default installation directories first:
unix {
  DEFAULT_HEADER_DIR = /usr/include/QGLViewer
  DEFAULT_LIB_DIR    = /usr/lib
}

macx {
  DEFAULT_HEADER_DIR = /usr/local/include/QGLViewer
  DEFAULT_LIB_DIR    = /usr/local/lib
}

win32 {
  DEFAULT_HEADER_DIR = C:\code\include\QGLViewer
  DEFAULT_LIB_DIR    = C:\code\lib\QGLViewer.lib
}

isEmpty( HEADER_DIR ) {
  exists( $$DEFAULT_HEADER_DIR/*.h ) {
    HEADER_DIR = $$DEFAULT_HEADER_DIR
  }
}

isEmpty( LIB_DIR ) {
  exists( $$DEFAULT_LIB_DIR/*QGLViewer* ) {
    LIB_DIR = $$DEFAULT_LIB_DIR
  }
}

# If it failed, check if this example is not part of the source package.
# In that case, QGLViewer should be in ../../src.
isEmpty( HEADER_DIR ) {
  exists( ../../src/*.h ) {
    HEADER_DIR = ../../src
  }
}

isEmpty( LIB_DIR ) {
  exists( ../../src/*QGLViewer* ) {
    LIB_DIR = ../../src
  }
}

win32 {
  isEmpty( LIB_DIR ) {
    exists( ..\..\src\Release\QGLViewer.lib ) {
      LIB_DIR = ..\..\src\Release
    }
  }
  isEmpty( LIB_DIR ) {
    exists( ..\..\src\Debug\QGLViewer.lib ) {
      LIB_DIR = ..\..\src\Debug
    }
  }
}

# We were unable to find directories...
isEmpty( HEADER_DIR ) : error( Unable to find header dir. Run qmake HEADER_DIR=... )
isEmpty( LIB_DIR ) :    error( Unable to find lib dir. Run qmake LIB_DIR=... )

# or we did it !
INCLUDEPATH *= $$HEADER_DIR
DEPENDPATH  *= $$HEADER_DIR
unix:  LIBS *= -L$$LIB_DIR -lQGLViewer
win32: LIBS *= $$LIB_DIR\QGLViewer.lib
macx:  LIBS *= -lobjc
