# The <a href="../refManual/classqglviewer_1_1KeyFrameInterpolator.html">KeyFrameInterpolator</a> test example.

# <code>KeyFrameInterpolator</code> smoothly interpolate their attached <a
# href="../refManual/classqglviewer_1_1Frame.html">Frame</a> over time on a path defined by Frames.
# The interpolation can be started/stopped/reset, played in loop, played at a different speed,
# etc...

# In this examples, the path is defined by four <a
# href="../refManual/classqglviewer_1_1ManipulatedFrame.html">ManipulatedFrame</a> which all can be
# moved with the mouse. The interpolating path is updated accordingly.

# The path and the interpolating axis are drawn using <a
# href="../refManual/classqglviewer_1_1KeyFrameInterpolator.html">KeyFrameInterpoar::drawPath()</a>

# By default, the QGLViewer Camera holds 12 KeyFrameInterpolator, binded to the F1-12 keys. Use
# Alt-Fx to define a new keyFrame for path x, and simply press Fx to play/pause the path x. See the
# <a href="../shortcuts.html">shortcuts</a> page for details.

TEMPLATE = app
TARGET   = keyFrames
CONFIG  += qt opengl warn_on release thread

HEADERS  = keyFrames.h
SOURCES  = keyFrames.cpp main.cpp

# Try to automatically set INCLUDEPATH and LIBS

# Test the default installation directories first:
unix {
  DEFAULT_HEADER_DIR = /usr/include/QGLViewer
  DEFAULT_LIB_DIR    = /usr/lib
}

macx {
  DEFAULT_HEADER_DIR = /usr/local/include/QGLViewer
  DEFAULT_LIB_DIR    = /usr/local/lib
}

win32 {
  DEFAULT_HEADER_DIR = C:\code\include\QGLViewer
  DEFAULT_LIB_DIR    = C:\code\lib\QGLViewer.lib
}

isEmpty( HEADER_DIR ) {
  exists( $$DEFAULT_HEADER_DIR/*.h ) {
    HEADER_DIR = $$DEFAULT_HEADER_DIR
  }
}

isEmpty( LIB_DIR ) {
  exists( $$DEFAULT_LIB_DIR/*QGLViewer* ) {
    LIB_DIR = $$DEFAULT_LIB_DIR
  }
}

# If it failed, check if this example is not part of the source package.
# In that case, QGLViewer should be in ../../src.
isEmpty( HEADER_DIR ) {
  exists( ../../src/*.h ) {
    HEADER_DIR = ../../src
  }
}

isEmpty( LIB_DIR ) {
  exists( ../../src/*QGLViewer* ) {
    LIB_DIR = ../../src
  }
}

win32 {
  isEmpty( LIB_DIR ) {
    exists( ..\..\src\Release\QGLViewer.lib ) {
      LIB_DIR = ..\..\src\Release
    }
  }
  isEmpty( LIB_DIR ) {
    exists( ..\..\src\Debug\QGLViewer.lib ) {
      LIB_DIR = ..\..\src\Debug
    }
  }
}

# We were unable to find directories...
isEmpty( HEADER_DIR ) : error( Unable to find header dir. Run qmake HEADER_DIR=... )
isEmpty( LIB_DIR ) :    error( Unable to find lib dir. Run qmake LIB_DIR=... )

# or we did it !
INCLUDEPATH *= $$HEADER_DIR
DEPENDPATH  *= $$HEADER_DIR
unix:  LIBS *= -L$$LIB_DIR -lQGLViewer
win32: LIBS *= $$LIB_DIR\QGLViewer.lib
macx:  LIBS *= -lobjc
