#include "simpleViewer.h"
#include <qapplication.h>

using namespace std;

static void help()
{
  cout << endl << "\t\t- -  S i m p l e V i e w e r  - -" << endl << endl;
  cout << "Use the mouse to move the camera around the object." << endl;
  cout << "You can revolve around, zoom and translate with the three buttons." << endl << endl;
  cout << "Pressing Alt and one of the function key (F1..F12) defines a camera keyFrame." << endl;
  cout << "Simply press the function key again to restore it. Several keyFrames define a" << endl;
  cout << "camera path. Paths are saved when you quit the application." << endl << endl;
  cout << "'A' displays a world axis, 'G' displays a grid, 'C' draws the camera paths and" << endl;
  cout << "'F' shows the frame rate. Press Control-S to save a screenshot in various formats." << endl << endl;
  cout << "A double click aligns the camera with the axis (left), fits the zoom (middle) or" << endl;
  cout << "re-center the scene (right). The complete mouse and keyboard bindinds are described" << endl;
  cout << "in the mouse.html and shortcuts.html documentation pages." << endl << endl;
  cout << "Press Escape to quit." << endl;
}

int main(int argc, char** argv)
{
  // Read command lines arguments.
  QApplication application(argc,argv);

  // Instantiate the viewer.
  Viewer v;

  // Make the viewer window visible on screen.
  v.show();

  // Display a short help
  help();
  
  // Set the viewer as the application main widget.
  application.setMainWidget(&v);
  
  // Run main loop.
  return application.exec();
}
