#include "qglviewer.h"

class Engine : public QObject
{
  Q_OBJECT
    
public :
  Engine();
  void draw();
  void addViewer(const QGLViewer* v) { connect(timer_, SIGNAL(timeout()), v, SLOT(updateGL())); };
  
protected :
  // The axis frame of the conrod
  qglviewer::Frame frame_;
  // A QTimer that regurily calls update()
  QTimer* timer_;

 protected slots:
  void update();
  
private:
  // Utility function
  void drawCone(const float zMin,const float zMax, const float r1, const float r2, const float nbSub);
};



class Viewer : public QGLViewer
{
protected :
  void draw();
  void init();
  void help();
  
  protected: 
  Engine engine;
};

